document.getElementById('decisionForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const phdSatisfaction = parseInt(document.getElementById('phdSatisfaction').value);
  const ofPotential = parseInt(document.getElementById('ofPotential').value);
  const financialNeed = parseInt(document.getElementById('financialNeed').value);
  const riskTolerance = parseInt(document.getElementById('riskTolerance').value);
  
  const phdScore = (phdSatisfaction * 2) + (financialNeed * 1.5);
  const ofScore = (ofPotential * 2) + (riskTolerance * 1.5);
  
  const result = document.getElementById('result');
  const decisionText = document.getElementById('decisionText');
  
  if (phdScore > ofScore) {
    decisionText.textContent = "You should continue your PhD!";
  } else if (ofScore > phdScore) {
    decisionText.textContent = "You should consider starting an OnlyFans!";
  } else {
    decisionText.textContent = "It's a tie! You might want to explore both options further.";
  }
  
  result.classList.remove('hidden');
});